Package ch.qos.logback.core.joran.spi

# Interface RuleStore

All Known Implementing Classes:
  `SimpleRuleStore`

public interface RuleStore
As its name indicates, a RuleStore contains 2-tuples consists of a ElementSelector and an Action.

As a joran configurator goes through the elements in a document, it asks the rule store whether there are rules matching the current pattern by invoking the `matchActions(ElementPath)` method.

Author:
  Ceki Gülcü

## Method Summary

Modifier and Type
Method
Description
`void`
`addRule(ElementSelector elementSelector, Action action)`
Add a new rule, given by a pattern and an action instance.
`void`
`addRule(ElementSelector elementSelector, String actionClassStr)`
Add a new rule, given by a pattern and a action class (String).
`List<Action>`
`matchActions(ElementPath elementPath)`
Return a list of actions matching a pattern.

## Method Details

### addRule

void addRule(ElementSelector elementSelector, String actionClassStr) throws ClassNotFoundException
Add a new rule, given by a pattern and a action class (String).

Parameters:
  `elementSelector` -
  `actionClassStr` -
Throws:
  `ClassNotFoundException`

### addRule

void addRule(ElementSelector elementSelector, Action action)
Add a new rule, given by a pattern and an action instance.

Parameters:
  `elementSelector` -
  `action` -

### matchActions

List<Action> matchActions(ElementPath elementPath)
Return a list of actions matching a pattern.

Parameters:
  `elementPath` - the path to match for
Returns:
  list of matching actions